MASTER Network Manager 0.7 applet not Appearing if there are managed entries in /etc/network/interfaces

Bug #289466 reported by Steven Harper on 2008-10-26
158
This bug affects 14 people
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned
network-manager-applet (Ubuntu)
High
Unassigned
Intrepid
High
Alexander Sack

Bug Description

Binary package hint: network-manager

Hi I am on Network Manager 0.7 using 64bit 8.10 Ubuntu rc1

>uname -a
Linux uber-ubuntu 2.6.27-7-generic #1 SMP Fri Oct 24 06:40:41 UTC 2008 x86_64 GNU/Linux

>apt-cache policy network-manager-gnome
network-manager-gnome:
  Installed: 0.7~~svn20081020t000444-0ubuntu1
  Candidate: 0.7~~svn20081020t000444-0ubuntu1
  Version table:
 *** 0.7~~svn20081020t000444-0ubuntu1 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

If I place an entry in my /etc/network/interfaces

auto lo
iface lo inet loopback

auto eth1
iface eth1 inet dhcp

Then I don't even get a Network Manager applet in my Tray

Here are the interesting bits from my /var/log/syslog

Oct 26 12:40:29 uber-ubuntu avahi-daemon[5037]: Network interface enumeration completed.
Oct 26 12:40:36 uber-ubuntu NetworkManager: <info> starting...
Oct 26 12:40:36 uber-ubuntu NetworkManager: <info> eth1: driver is 'forcedeth'.
Oct 26 12:40:36 uber-ubuntu NetworkManager: <info> Found new Ethernet device 'eth1'.
Oct 26 12:40:36 uber-ubuntu NetworkManager: <info> (eth1): exported as /org/freedesktop/Hal/devices/net_00_e0_18_99_88_77
Oct 26 12:40:36 uber-ubuntu NetworkManager: <info> eth0: driver is 'sky2'.
Oct 26 12:40:36 uber-ubuntu NetworkManager: <info> Found new Ethernet device 'eth0'.
Oct 26 12:40:36 uber-ubuntu NetworkManager: <info> (eth0): exported as /org/freedesktop/Hal/devices/net_00_15_f2_48_f3_cd
Oct 26 12:40:36 uber-ubuntu NetworkManager: <info> Trying to start the supplicant...
Oct 26 12:40:36 uber-ubuntu NetworkManager: <info> Trying to start the system settings daemon...
Oct 26 12:40:36 uber-ubuntu NetworkManager: <info> (eth1): carrier now ON (device state 1)
Oct 26 12:40:37 uber-ubuntu nm-system-settings: Loaded plugin ifupdown: (C) 2008 Canonical Ltd. To report bugs please use the NetworkManager mailing list.
Oct 26 12:40:37 uber-ubuntu nm-system-settings: Loaded plugin keyfile: (c) 2007 - 2008 Red Hat, Inc. To report bugs please use the NetworkManager mailing list.
Oct 26 12:40:37 uber-ubuntu NetworkManager: <info> (eth1): now unmanaged
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> (eth0): device state change: 1 -> 2
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> (eth0): bringing up device.
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> (eth0): preparing device.
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> (eth0): deactivating device (reason: 2).
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> (eth0): carrier now ON (device state 2)
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> (eth0): device state change: 2 -> 3
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> (eth0): carrier now OFF (device state 3)
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> (eth0): device state change: 3 -> 2
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> (eth0): deactivating device (reason: 0).
Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
Oct 26 12:40:40 uber-ubuntu NetworkManager: <WARN> auto_activate_device(): Connection 'Ifupdown (eth1)' auto-activation failed: (2) Device not managed by NetworkManager
Oct 26 12:41:13 uber-ubuntu NetworkManager: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)
Oct 26 12:42:26 uber-ubuntu NetworkManager: <info> Unmanaged Device found; state CONNECTED forced. (see http://bugs.launchpad.net/bugs/191889)

Alexander Sack (asac) wrote :

Does the applet reappear if you do:

sudo /etc/init.d/NetworkManager stop
sudo /etc/init.d/NetworkManager start
?

If thats the case is NetworkManager process running when applet is not visible?

Changed in network-manager:
importance: Undecided → High
status: New → Incomplete
Cosmin L (lcosmin) wrote :

This happens for me too:

root@user-desktop:~# apt-cache policy network-manager-gnome
network-manager-gnome:
  Installed: 0.7~~svn20081020t000444-0ubuntu1
  Candidate: 0.7~~svn20081020t000444-0ubuntu1
  Version table:
 *** 0.7~~svn20081020t000444-0ubuntu1 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
     0.7~~svn20081020t000444-0ubuntu1~nm1 0
        500 http://ppa.launchpad.net intrepid/main Packages

root@user-desktop:~# cat /etc/network/interfaces
auto lo
iface lo inet loopback
auto eth1
iface eth1 inet dhcp
dns-nameservers 192.168.1.1

root@user-desktop:~# ps axu | grep Networ | grep -v grep
root 5765 0.0 0.0 6408 2240 ? Ss 23:27 0:00 /usr/sbin/NetworkManager
root 5775 0.0 0.1 7696 3516 ? S 23:27 0:00 /usr/sbin/nm-system-settings --config /etc/NetworkManager/nm-system-settings.conf

The network manager process is running, but no applet.

# /etc/init.d/NetworkManager restart makes the applet appear.

On Mon, Oct 27, 2008 at 09:43:53PM -0000, DragonK wrote:
> root@user-desktop:~# cat /etc/network/interfaces
> auto lo
> iface lo inet loopback
> auto eth1
> iface eth1 inet dhcp
> dns-nameservers 192.168.1.1
>
> root@user-desktop:~# ps axu | grep Networ | grep -v grep
> root 5765 0.0 0.0 6408 2240 ? Ss 23:27 0:00 /usr/sbin/NetworkManager
> root 5775 0.0 0.1 7696 3516 ? S 23:27 0:00 /usr/sbin/nm-system-settings --config /etc/NetworkManager/nm-system-settings.conf
>
> The network manager process is running, but no applet.
>

no applet == you dont see the applet?
or
no applet == nm-applet process isnt running?

Thanks,

 - Alexander

I've recently rebooted my ubuntu, the applet isn't visible.

user@user-desktop:~$ ps axu | grep nm- | grep -v grep
root 5754 0.0 0.1 7696 3552 ? S 10:10 0:00 /usr/sbin/nm-system-settings --config /etc/NetworkManager/nm-system-settings.conf
user 6204 0.0 0.3 23044 11480 ? S 10:11 0:00 nm-applet --sm-disable

The nm-applet process is there it seems (the Network Manager process is also there). Trying to start it manually yields:

user@user-desktop:~$ nm-applet

** (nm-applet:9454): WARNING **: <WARN> applet_dbus_manager_start_service(): Could not acquire the NetworkManagerUserSettings service as it is already taken. Return: 3

(nm-applet:9454): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

Cosmin L (lcosmin) wrote :

By the way, after I restart the NetworkManager service, the applet pops up, but I can't do much with it as it shows a warning sign and says "networking disabled" in the tooltip.

I'm guessing it might have something to do with this bug, but I might be wrong:
https://bugs.launchpad.net/ubuntu/intrepid/+source/network-manager/+bug/279262

OK, this is somewhat a feature. Most likely all devices are in
/etc/network/interfaces, which basically means that NM doesnt have a
single device to manage and thus doesnt display the applet.

I admit that this is a confusing thing, but having an applet that
doesnt allow you to do anything wouldnt be less confusing.

Remove your configurations from /etc/network/interfaces if you want to
use NetworkManager ... otherwise just manage your network using
ifup/ifdown command line tools (which doesnt require the applet at
all).

On Tue, Oct 28, 2008 at 08:47:17AM -0000, DragonK wrote:
> I've recently rebooted my ubuntu, the applet isn't visible.
>
> user@user-desktop:~$ ps axu | grep nm- | grep -v grep
> root 5754 0.0 0.1 7696 3552 ? S 10:10 0:00 /usr/sbin/nm-system-settings --config /etc/NetworkManager/nm-system-settings.conf
> user 6204 0.0 0.3 23044 11480 ? S 10:11 0:00 nm-applet --sm-disable
>
> The nm-applet process is there it seems (the Network Manager process is
> also there). Trying to start it manually yields:
>
> user@user-desktop:~$ nm-applet
>
> ** (nm-applet:9454): WARNING **: <WARN>
> applet_dbus_manager_start_service(): Could not acquire the
> NetworkManagerUserSettings service as it is already taken. Return: 3
>
>
> (nm-applet:9454): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
>

 - Alexander

Alexander Sack (asac) wrote :

On Tue, Oct 28, 2008 at 08:58:14AM -0000, DragonK wrote:
> By the way, after I restart the NetworkManager service, the applet pops
> up, but I can't do much with it as it shows a warning sign and says
> "networking disabled" in the tooltip.

right clicking allows you to enable it again i guess.

 - Alexander

I still think that this is a bug

I have an eth0 this is disconnected, and as you see from my log its disconnected and gets this in the log

Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> Unmanaged Device found; state CONNECTED forced

Now I have got an entry for eth1, this should be ignored by NM, however I don't think this is a good reason to have NO
NM in the tray. NM should be there with a greyed out eth0 and an uneditable eth1 (because its managed).

On Tue, Oct 28, 2008 at 03:50:48PM -0000, Steven Harper wrote:
> I still think that this is a bug
>
> I have an eth0 this is disconnected, and as you see from my log its
> disconnected and gets this in the log
>
> Oct 26 12:40:40 uber-ubuntu NetworkManager: <info> Unmanaged Device
> found; state CONNECTED forced
>
> Now I have got an entry for eth1, this should be ignored by NM, however I don't think this is a good reason to have NO
> NM in the tray. NM should be there with a greyed out eth0 and an uneditable eth1 (because its managed).
>

the applet will not show connected. the CONNECTED from the log is
about forcing the state queried by applications to guess the
online/offline state (e.g. firefox, pidgin etc. offline modes).

So yes, its a display bug in nm-applet; but this is mostly about
confusion as it shouldnt have any impact on your network operations.

 - Alexander

I was aware that the connection is forced I read the bug for that one.

Yes I agree its JUST a display bug in nm-applet, but I still think its a important one.

If I wanted to swap to a Wireless network I can't unless I restart the applet,

now thats OK for me, but beginner users will be put off

Cosmin L (lcosmin) wrote :

Perhaps the applet should still be displayed, the user might want to connect to wireless (as Steven sugested) or create a new VPN connection... ?

On Tue, Oct 28, 2008 at 09:38:47PM -0000, Steven Harper wrote:
> I was aware that the connection is forced I read the bug for that one.
>
> Yes I agree its JUST a display bug in nm-applet, but I still think its a
> important one.
>
> If I wanted to swap to a Wireless network I can't unless I restart the
> applet,
>
> now thats OK for me, but beginner users will be put off
>

network manager should show up if you dont configure your wireless
device in /etc/network/interfaces and your wireless device is plugged
in. With your wireless configured in /etc/network/interfaces you
opted-out for managing your wireless in NetworkManager ... so even if
we would show the applet it would show your device as "unamanged" and
wouldnt allow you to select a AP.

 - Alexander

Alexander Sack (asac) wrote :

On Wed, Oct 29, 2008 at 07:25:11AM -0000, DragonK wrote:
> Perhaps the applet should still be displayed, the user might want to
> connect to wireless (as Steven sugested) or create a new VPN
> connection... ?
>

VPN connection might be a valid reason here. But remember that if NM
cannot manage any physical device, managing a VPN on top of "nothing"
doesnt make sense either.

Anyway, I also see that it might be helpful to still display the
applet, but unless we have a good icon to indicate that the devices
are "maybe-online" and that all is unmanaged, i think that would cause
also confusion.

 - Alexander

reassigning to applet and setting to triaged, because we appear to understand when this happens. The best approach to tackle this is still not found though.

Changed in network-manager:
status: Incomplete → Triaged
Vladimir Hidalgo (vlad88sv) wrote :

Can be in a future release of this applet something like this: Instead of just not appear (which will make upgrading users wonder "where" they connections went) why not to show the applet with an menu item saying: "Import unmanaged connections", which helps the users to migrate from /etc/interfaces to whatever NM uses?. But I guess that's too late for this release.

Cosmin L (lcosmin) wrote :

@Alexander:

You are right about managing VPNs on top of "nothing". But what if there is a valid connection (managed manually), then VPNs would make sense. However, NM must act carefully in this case and not interfere with (read "clobber") the already configured stuff (i'm thinking /etc/resolv.conf mosty); I don't know exactly how NM handles these issues, as I recently started using it myself, so I might talk nonsense.

As for the icon, I'm thinking that since the NM process and applet are up and running, something should be displayed. At least an icon and some information saying "i'm not managing your network, however, you have these interfaces ethX, ethY, up and running, with these settings, etc... read here for more info on this issue".
I think this might help novice users, since I for instance don't know how exactly I got my "manually managed" /etc/network/interfaces file, perhaps I randomly clicked too much around the gnome tools...

Vladimir's idea could work too, but I guess it would be too complicated to "take over" the manual settings of various distros able to run NM, no ?

Devgru (devgru) wrote :

Hi. I've got the same problem. Cleaning of /etc/network/interfaces solved it.

Mark Ellis (mark-mpellis) wrote :

I am experiencing this behaviour, with the following setup

eth0 wired, static addressing via ifupdown
wlan0 wifi, dynamic via nm

NetworkManager, nm-system-settings and nm-applet are all running

When a known wireless net is in range, nm connects and displays as expected. With a new wireless net, the applet is present but not visible. It is possible to get the network menu up by clicking on the sliver that exists for a systray item with no icon, but it's not easy, and is a little silly.

Additionally, the same problem is encountered with a 3G modem. A 'not connected' icon in these states would seem more sensible.

On Fri, Oct 31, 2008 at 03:28:53PM -0000, Mark Ellis wrote:
> I am experiencing this behaviour, with the following setup
>
> eth0 wired, static addressing via ifupdown
> wlan0 wifi, dynamic via nm
>
> NetworkManager, nm-system-settings and nm-applet are all running
>
> When a known wireless net is in range, nm connects and displays as
> expected. With a new wireless net, the applet is present but not
> visible. It is possible to get the network menu up by clicking on the
> sliver that exists for a systray item with no icon, but it's not easy,
> and is a little silly.
>
> Additionally, the same problem is encountered with a 3G modem. A 'not
> connected' icon in these states would seem more sensible.
>

The problem you are describing is a problem on its own. Could you open
a separate bug for that particular issue? Remember to post the new bug
id here.

Thanks,

 - Alexander

Same for me. the icon is missing. Same with power-manager icon.
When you restart hal the power manager icon shows just for a second or two.

If you create new account on your computer (with empty home directory) and log into you will see the icon.
So it must be something broken with the configuration files.
I will try to find out which file is it - i guess one from gnome configuration. But unfortunately don't have lots of time.

keneida (keneida) wrote :

did not find anything yet. However, after deleting all the gui configuration files on my xubuntu i got the icon show. Manually i set all the panels from default to my setup - only one panel verticaly on left, normal size and the icon after restart of the computer is gone again.

Alexander Sack (asac) wrote :

keneida, if cleaning /e/n/interfaces didn't help, you don't see this issue, but a more general xfce bug.

Ilya Barygin (randomaction) wrote :

See bug 290484: nm-applet has no icon if no wireless network present

Thermaltaker (dennis-benndorf) wrote :

Confirming this. I yesterday had to lunch ppoeconf in order to connect to my company and this made an entry "wlan0" in /etc/network/interfaces so networkmanger tried to find an "wired wlan0"!! And it doesnt show the applet until pluging a cable in. After that it tried to connect via wlan0, with no success ;-)
Commenting wlan0 out in /etc/network/interfaces helped me to get it work.

Dave Edwards (dle) wrote :

Adding to the hue and cry.

Encountered this after a reboot of 8.10.

$ uname -a
Linux bigstory 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:20 UTC 2008 i686 GNU/Linux

$ apt-cache policy network-manager-gnome
network-manager-gnome:
  Installed: 0.7~~svn20081020t000444-0ubuntu1
  Candidate: 0.7~~svn20081020t000444-0ubuntu1
  Version table:
 *** 0.7~~svn20081020t000444-0ubuntu1 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

$ cat /etc/network/interfaces
auto lo
iface lo inet loopback
auto dsl-provider
iface dsl-provider inet ppp
pre-up /sbin/ifconfig eth0 up # line maintained by pppoeconf
provider dsl-provider

auto eth0
iface eth0 inet manual

$ ifconfig | grep ^[[:alnum:]]
eth0 Link encap:Ethernet HWaddr 00:11:2f:75:b9:db
lo Link encap:Local Loopback
ppp0 Link encap:Point-to-Point Protocol

$ nm-applet

** (nm-applet:11935): WARNING **: <WARN> applet_dbus_manager_start_service(): Could not acquire the NetworkManagerUserSettings service.
  Message: 'Connection ":1.98" is not allowed to own the service "org.freedesktop.NetworkManagerUserSettings" due to security policies in the configuration file'

(nm-applet:11935): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

$ sudo nm-applet
[sudo] password for dle:

** (nm-applet:11936): WARNING **: No connections defined

** (nm-applet:11936): WARNING **: <WARN> constructor(): Invalid connection: 'NMSettingConnection' / 'type' invalid: 3

...I think the result of the sudo command might relate to my having configured my dsl connection (a pppoe one) with pppoeconf --- which I did because I didn't succeed with nm's gui tool.

Changed in network-manager:
status: New → Confirmed
A.Kromic (akromic) wrote :

Bug #291737 is not a duplicate of this bug because it doesn't have any connection with /etc/interfaces.

RickB (rick-777) wrote :

I can confirm this bug is still live today.

Workaround:

I commented out all the entries in /etc/network/interfaces, restarted and now everything works just about as I'd expect.

Ari (ari-reads) wrote :

I also run into this annoying bug. In my case, I can not comment out my manual entries in /etc/network/interfaces because I need those for proper NAT support in VirtualBox (vbox0 interface bridging).

The only way to bring the applet back to life I've found is:

/etc/init.d/Network-Manager restart

Hopefully a proper fix for this can be found and pushed through update-manager...

Brice Terzaghi (terzag) wrote :

Have the problem too. eth0 (which I currently use) is set in /etc/network/interfaces, ath0 (Atheros Wifi card) is not. When starting Gnome, the nm-applet doesn't show up (although the process is running). Restarting /etc/init.d/NetworkManager makes it appear. In the menu, I can choose a Wifi network (with ath0) and it says "device is unmanaged" for wired network (eth0).
Will try to comment the interfaces in /etc/network/interfaces but I'm not sure I should as it was setup by the Server installation (using Intrepid Server and installed ubuntu-desktop to have a GUI).

I can confirm this still happens on an Intrepid updated from hardy

/etc/init.d............ doesn't bring back my applet at all.

Ari wrote:
> I also run into this annoying bug. In my case, I can not comment out my
> manual entries in /etc/network/interfaces because I need those for
> proper NAT support in VirtualBox (vbox0 interface bridging).
>
> The only way to bring the applet back to life I've found is:
>
> /etc/init.d/Network-Manager restart
>
> Hopefully a proper fix for this can be found and pushed through update-
> manager...
>
>

I had this problem as well. Though from my experience is that it is on the panel.
It's more a case of the icon which should be showing, isn't loading up. So you are left with an invisible area of a couple of pixels wide which I could click. (Only noticeable by a slightly bigger gap than between other icons)

When I clicked the invisible bit and started wireless the icon then appeared as wireless and after stopping it, it showed the usual image.

Adam Niedling (krychek) wrote :

Will is right. It's right there but it's invisible. For me it's between skype and the bluetooth applet. However it can't be used for anything. Every option is grayed out except for VPN.

Alexander Sack (asac) wrote :

when we have a fix we should consider a SRU to fix this in intrepid too. Marking accordingly.

Changed in network-manager-applet:
assignee: nobody → asac
importance: Undecided → High
milestone: none → intrepid-updates
status: New → Triaged
Alexander Sack (asac) wrote :

only applet bug.

Changed in network-manager:
status: New → Invalid
status: Confirmed → Invalid
Niloc Deeps (ajarncolin) wrote :

I tried everything I could, including stuff I probably shouldn't have touched, thinking I would re-install Hardy. Yesterday I added the network monitor and a notification area to the top panel. I got a new menu separator, a thing that tells me that I'm using an English keyboard and...........................the network manager applet!!!!!! I clicked on wireless and hey presto, I'm finally online.
Maybe this may help somebody else - I hope so.
Maybe it would be a good idea to be able to enable wireless without using network manager?

Alexander Sack (asac) wrote :

rev 480

Changed in network-manager-applet:
status: Triaged → Fix Committed
Neil Hollow (hollowfamily) wrote :

Niloc's method works for me too. I still think this is a bug its very difficult to manage wifi w/o it. Now I wonder what I have to add to get my battery power applet to work....

Jon Mansey (jon-mansey) wrote :

just to add a "me too" to this, I found I was simply missing the "notification area", adding one back brought back my nm-applet and bluetooth-applets. I guess I had unlocked it due to it moving around when I switch between my laptop screen and 24" DVI panel, the kids may have removed it accidentally. Ill try to keep it locked from now on.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-applet - 0.7~~svn20081020t000444-0ubuntu2

---------------
network-manager-applet (0.7~~svn20081020t000444-0ubuntu2) jaunty; urgency=low

  * fix LP: #289466 - Network Manager 0.7 applet not Appearing if there are
    managed entries in /etc/network/interfaces; we always call
    applet_schedule_update_icon in client_init; also we also show the try when
    there are error conditions (no NM running, no managed device)
    - add debian/patches/lp289464_always_show_tray_icon.patch
    - update debian/patches/series
  * fix LP: #286421 - nm-connection-editor menu item untranslatable;
    add i18n support to nm-connection-editor.desktop; patch by Timo Jyrinki
    <email address hidden>
    - add debian/patches/lp286421_fix_i18n_bug_286421.patch
    - update debian/patches/series
  * fix LP: #268803 - Ubuntu Intrepid: Both Knetworkmanager and Network
    Manager load on startup; fix xdg autostart .desktop file to
    "OnlyShowIn=GNOME;XFCE;"
    - add debian/patches/lp268803_xdg_autostart_gnome_xfce_only.patch
    - update debian/patches/series
  * fix LP: #293749 - prefix vs. netmask translation inconsistencies in
    connection-editor causes confusion; we cherry pick rev1009 from upstream
    svn and backport that.
    - add debian/patches/lp293749_better_prefix_netmask_ui.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden> Mon, 01 Dec 2008 14:05:51 +0100

Changed in network-manager-applet:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

network-manager-applet_0.7~~svn20081020t000444-0ubuntu1.8.10.1_source.changes
network-manager-applet_0.7~~svn20081020t000444-0ubuntu2_source.changes

Changed in network-manager-applet:
status: Triaged → In Progress
Steve Langasek (vorlon) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in network-manager-applet:
milestone: intrepid-updates → none
status: In Progress → Fix Committed
Derek (bugs-m8y) wrote :

Thanks for the patch.
As it turns out it was just yesterday that I had encountered this behaviour when trying to set up a VPN.

Was quite confusing although I eventually noticed the tiny shift in notification area when starting/stopping nm-applet, figured out what was going on and was able to switch to managing with NM by reinstalling gnome-network-admin and setting the connection to roaming.

I suppose if I'd waited a day it would have all worked out. :)

At least you've cut down on future confused users.

Alexander Sack (asac) wrote :

if you see this, please help testing the -proposed package (see: https://bugs.edge.launchpad.net/ubuntu/+source/network-manager-applet/+bug/289466/comments/42) ... the more positive feedback we get the sooner we can roll this update to the masses. Thanks!

Ilya Barygin (randomaction) wrote :

0.7~~svn20081020t000444-0ubuntu1.8.10.1 seems to fix it for me, thank you.

Ilya Barygin (randomaction) wrote :

See bug 305398 for some feedback.

Steven Harper (stevenharperuk) wrote :

I am testing the two -proposed packages

>apt-cache policy network-manager
network-manager:
  Installed: 0.7~~svn20081018t105859-0ubuntu1
  Candidate: 0.7~~svn20081018t105859-0ubuntu1
  Version table:
 *** 0.7~~svn20081018t105859-0ubuntu1 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

>apt-cache policy network-manager-gnome
network-manager-gnome:
  Installed: 0.7~~svn20081020t000444-0ubuntu1
  Candidate: 0.7~~svn20081020t000444-0ubuntu1
  Version table:
 *** 0.7~~svn20081020t000444-0ubuntu1 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

I still see the same problem : no tray icon - I can actually right click on the gap in the tray and if I do I get
a context menu.

If I look at the wired tab I get

ifupdown (eth1) never

My connection works perfect I just don't have tray icon.

here is my interfaces file

>more /etc/network/interfaces
auto lo
iface lo inet loopback

auto eth0

auto eth1
iface eth1 inet dhcp

Niloc Deeps (ajarncolin) wrote :

I've downloaded the "proposed". I managed to gt the applet before this. The problem now is that I get "403 forbidden" when I try to update. I realise that this is probably no related to ths bug BUT the reason I'm posting it here is that, as I don't have Network Manager, I don't know how to check my settings. Any ideas?
Thanks

Niloc Deeps [2008-12-09 4:05 -0000]:
> The problem now is that I get "403 forbidden" when I try to update.

This sounds like a problem with your local mirror. Maybe try again
later, or try using another one?

Thank you for this fix. I've installed -proposed package and now I can see nm-applet icon in tray even if all interfaces are configured in /etc/network/interfaces.

Also I'd like to connect to VPN using tray icon, but currently it does not work: when I check my VPN connection, nothing just happens. Again, if I clear wlan0 from /etc/network/interfaces, VPN works fine using nm-applet.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-applet - 0.7~~svn20081020t000444-0ubuntu1.8.10.1

---------------
network-manager-applet (0.7~~svn20081020t000444-0ubuntu1.8.10.1) intrepid-proposed; urgency=low

  * fix LP: #289466 - Network Manager 0.7 applet not Appearing if there are
    managed entries in /etc/network/interfaces; we always call
    applet_schedule_update_icon in client_init; also we also show the try when
    there are error conditions (no NM running, no managed device)
    - add debian/patches/lp289464_always_show_tray_icon.patch
    - update debian/patches/series
  * fix LP: #286421 - nm-connection-editor menu item untranslatable;
    add i18n support to nm-connection-editor.desktop; patch by Timo Jyrinki
    <email address hidden>
    - add debian/patches/lp286421_fix_i18n_bug_286421.patch
    - update debian/patches/series
  * fix LP: #268803 - Ubuntu Intrepid: Both Knetworkmanager and Network
    Manager load on startup; fix xdg autostart .desktop file to
    "OnlyShowIn=GNOME;XFCE;"
    - add debian/patches/lp268803_xdg_autostart_gnome_xfce_only.patch
    - update debian/patches/series
  * fix LP: #293749 - prefix vs. netmask translation inconsistencies in
    connection-editor causes confusion; we cherry pick rev1009 from upstream
    svn and backport that.
    - add debian/patches/lp293749_better_prefix_netmask_ui.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden> Mon, 01 Dec 2008 14:05:51 +0100

Changed in network-manager-applet:
status: Fix Committed → Fix Released

Alexey Popov wrote:
> Thank you for this fix. I've installed -proposed package and now I can
> see nm-applet icon in tray even if all interfaces are configured in
> /etc/network/interfaces.
>
> Also I'd like to connect to VPN using tray icon, but currently it does
> not work: when I check my VPN connection, nothing just happens. Again,
> if I clear wlan0 from /etc/network/interfaces, VPN works fine using nm-
> applet.
>
>
VPN through NM over interfaces configured devices is not supported atm.
Unlikely that this is ever going to happen, but if you still think it
should happen at some point please file a wishlist bug.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers